[HD 2600] -fglrx not supported with rt-kernel

Bug #382849 reported by JayK on 2009-06-02
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: xorg

I upgraded to Jaunty recently and wanted to try the realtime kernel now, if it still works. It does not: neither with fglrx nor with radeonhd nor with ati nor with vesa I get a usable X display with login screen. When the Xserver is started, all of the named drivers give me a black screen, sometimes with glitches/artifacts in the upper region of the screen (it is a notebook panel), and I cannot do anything. No visible reaction to mouse, keyboard or even the power button. No switching to ttys is possible (Ctrl+Alt+F1...F6), neither is AltGr+Break+K able to kill it. Only chance is to hold the power button for 5 seconds to force the power off instantly.

Most promising so far was fgrlx which once gave me a black and white tiled screen, a white square for the mouse cursor and the gdm sound, but login was not possible because the keyboard didn't seem to react.

The xfix option in the recovery menu yielded the same locked up black screen.

It works all-fine with the standard kernel, fglrx currently in use; but realtime 2.6.28-3-rt is screwed up.
My card is, according to Linux, a ATI Radeon HD2600XT (probably Mobility, according to the chipset recognized by radeonhd).

linux-image-rt 2.6.28.3.1
xserver-xorg 1:7.4~5ubuntu18
xserver-xorg-video-radeonhd 1.2.4-2
xserver-xorg-video-ati 1:6.12.1-0ubuntu2
xserver-xorg-video-vesa 1:2.0.0-1ubuntu6

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 9.04
NonfreeKernelModules: fglrx
Package: xorg 1:7.4~5ubuntu18
ProcEnviron:
 PATH=(custom, user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersion: Linux version 2.6.28-11-generic (buildd@palmer) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009
SourcePackage: xorg
Uname: Linux 2.6.28-11-generic i686

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 03)
     Subsystem: Elitegroup Computer Systems Device [1019:9931]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M76XT [Mobility Radeon HD 2600 XT] [1002:9583]
     Subsystem: Elitegroup Computer Systems Device [1019:2377]

JayK (jakres) wrote :
JayK (jakres) on 2009-06-03
description: updated
description: updated
Bryce Harrington (bryce) on 2009-06-06
affects: xorg (Ubuntu) → fglrx-installer (Ubuntu)
Bryce Harrington (bryce) wrote :

I've posted a new version of the -fglrx driver to our xorg-edgers PPA,
would you mind testing it either on Jaunty or Karmic and see if it
resolves this bug?

Get fglrx 8.620 here:

  https://edge.launchpad.net/~xorg-edgers/+archive/ppa

Changed in fglrx-installer (Ubuntu):
status: New → Incomplete
JayK (jakres) wrote :

I added the repositoriy to my sources.list and installed the packages listed below fglrx-installer - hope this was all I should do. It does still work with the standard kernel.
Running the realtime kernel I do get a usable X now, thank you! But unfortunately there is no 3D acceleration and even Metacity is really slow (moving windows etc). glxinfo crashes, I attach the Xorg.0.log for that session.

Bryce Harrington (bryce) wrote :

Ah, I think the fundamental issue here is that -fglrx with the rt kernel is not supported, or at least not tested together. I'm not sure if this is expected to be functioning, so setting as a wishlist for now.

summary: - no usable Xorg configuration in Jaunty for rt-kernel with ATI HD2600XT
+ [HD 2600] -fglrx not supported with rt-kernel
Changed in fglrx-installer (Ubuntu):
importance: Undecided → Wishlist
status: Incomplete → Triaged
Bryce Harrington (bryce) on 2009-08-11
description: updated

I have the same problem with a Radeon HD 3870 (see bug #382386).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers